stevewuxl
stevewuxl
  • 发布:2016-11-16 11:22
  • 更新:2016-11-16 14:15
  • 阅读:1182

Android6.0增量更新

分类:HTML5+

增量包目录结构:
WGTU(0.0.1版本):
WWW
index.html
index.js
manifest.json
update.xml
问题描述:
index.js是index.html界面引用的,在0.0.1的版本中,index.js写了如下测试:
mui.alert("这是第一个版本!");

在0.0.2版本中,改为了
mui.alert("这是第二个版本!");

但是更新后,还是提示“这是第一个版本!” -- 说明文件没有更新

在0.0.3版本中,直接在index.html界面中增加了
alert("只能更新html?");

但是更新后,还是提示“这是第一个版本!” -- 说明文件没有更新

2016-11-16 11:22 负责人:无 分享
已邀请:
stevewuxl

stevewuxl (作者)

搞定,确实没问题,是文件夹与mainjson不一致导致

Trust

Trust - 少说废话

下载更新完成后,需要重启才能生效。
另外,尝试更换其它设备测试下。

我这边测试了机子,都没有问题。

  • stevewuxl (作者)

    华为荣耀8,型号:EDI-AL10

    2016-11-16 13:25

  • stevewuxl (作者)

    是不是只能是dcloud的appid才行?

    2016-11-16 13:30

  • Trust

    回复 stevewuxl:appid是manifest.json文件中的信息。

    2016-11-16 14:06

  • Trust

    回复 stevewuxl:你是云打包的还是自己本地打包的?

    2016-11-16 14:06

  • stevewuxl (作者)

    谢谢,搞定了,确实是我文件位置与mainjson里面不一致导致

    2016-11-16 14:16

stevewuxl

stevewuxl (作者)

肯定重启了N遍

该问题目前已经被锁定, 无法添加新回复